function gibbs_plots(eras,er,algorithm,nuklid,n1,out_type,init,covs)
    hladiny = [1 97 193 289 385 481];

    eval(['load Pr' num2str(nuklid) '_nikos.mat'])
    eval(['Pr_nikos = Pr' num2str(nuklid) '_nikos;'])
    eval(['load Pr' num2str(nuklid) '.mat'])
    eval(['Pr = Pr' num2str(nuklid) ';'])


    fig = figure(100 + 10*algorithm + er);
    set(fig, 'Position', [1800, 700, 800, 600]);
    rows = 2+6;
    cols = 4;
    
    total_Pr = 0;
    hl = 0;
    
    if any(str2double(init) == [1e2, 1e-1, 1e-4, 1e-7])
        eval(['load ./Vysledky/01/init_' init '_res_' num2str(er) '_'...
            num2str(nuklid) '_alg' num2str(algorithm) '_no_scale.mat'])
    else
        eval(['load ./Vysledky/01/init_' init '_res_' num2str(er) '_'...
            num2str(nuklid) '_alg' num2str(algorithm) '.mat'])
    end
    switch out_type
        case 'mean'
            fr_hl = fr_hl_mn;
            m_hours = mn_hours;
            m_days = mn_days;
        case 'median'
            fr_hl = fr_hl_md;
            m_hours = md_hours;
            m_days = md_days;
        case 'max'
            fr_hl = fr_hl_mx;
            m_hours = mx_hours;
            m_days = mx_days;
    end
    for hladina = hladiny
        hl = hl + 1;
        Pr_hl = kron(reshape(squeeze(Pr(:,hl,:)),12*4,1) , ones(8,1) )/8;

        pom = squeeze(Pr_nikos(:,hl,:));
        Pr_nikos_hl = pom(:);

        for fraction = 1:4
            Pr_frac = Pr_hl(((fraction-1)*96+1):((fraction-1)*96+n1));
            Pr_nikos_frac = Pr_nikos(1:n1,hl,fraction);
            total_Pr = total_Pr + Pr_frac;

            hat_x = fr_hl(hl,(((fraction-1)*n1+1):(fraction*n1)));
            subplot(rows,cols,(hl-1)*4 + fraction)
            plot(((1/8):(1/8):size(hat_x,2))',kron(hat_x'/1e15,ones(8,1)),'Linewidth',1)
            hold on
            plot(((1/8):(1/8):size(Pr_frac,1))',kron(Pr_frac/1e15,ones(8,1)),'red--')
            hold off
            xlim([0 n1])
            set(gca,'XTick',[1 25 49 73])
            set(gca,'XTickLabel',{'26/04','29/04','02/05','05/05'})
            if ((hl-1)*4+fraction) < 5
                switch fraction
                    case 1
                        title('Fraction 0.4 $\mu$m','Interpreter','latex')
                    case 2
                        title('Fraction 0.8 $\mu$m','Interpreter','latex')
                    case 3
                        title('Fraction 1.4 $\mu$m','Interpreter','latex')
                    case 4
                        title('Fraction 5.0 $\mu$m','Interpreter','latex')
                end
            end
            if fraction == 1
                switch hladina % [1 97 193 289 385 481];
                    case 1
                        ylabel([{'0-500 m'};{'(PBq)'}])
                    case 97
                        ylabel([{'500-1000 m'};{'(PBq)'}])
                    case 193
                        ylabel([{'1000-1500 m'};{'(PBq)'}])
                    case 289
                        ylabel([{'1500-2000 m'};{'(PBq)'}])
                    case 385
                        ylabel([{'2000-2500 m'};{'(PBq)'}])
                    case 481
                        ylabel([{'2500-3000 m'};{'(PBq)'}])
                end
            end
        end
    end

    subplot(rows,cols,25:(rows*cols))
    if covs
        a1 = kron(q_days_95',ones(8,1))/1e15;
        a2 = kron(q_days_05',ones(8,1))/1e15;
        
        meze = [a2 (a1-a2)];
        h = area(((1/8):(1/8):size(meze,1))',kron(meze,ones(8,1)));
        set(h(1),'FaceColor','white');
        set(h(2),'FaceColor',[0.8 0.8 0.8]);
        set(h,'EdgeColor',[0.8 0.8 0.8],'LineWidth',1)
    end
    hold on
    % hat_x po 3 hodinach
    h3 = plot(((1/8):(1/8):size(hat_x,2))',kron(m_hours'/1e15,ones(8,1)),'blue--','Linewidth',1);
    % hat_x po celych dnech
    h4 = plot(((1/8):(1/8):size(hat_x,2))',kron(m_days'/1e15,ones(64,1)),'Linewidth',2);

    % apriorno po dnech
    h5 = plot(((1/8):(1/8):size(total_Pr,1))',kron(8*total_Pr/1e15,ones(8,1)),'red--');
    if 1 % posteriors od Nikose
        total_Pr_nikos = zeros(n1,1);
        for hl = 1:6
            for fr = 1:4
                total_Pr_nikos = total_Pr_nikos + Pr_nikos(1:n1,hl,fr);
            end
        end
        h6 = plot(((1/8):(1/8):size(total_Pr_nikos,1))',kron( kron( sum(reshape(total_Pr_nikos,8,n1/8))' , ones(8,1) )/1e15, ones(8,1) ),'green','Linewidth',1);
    end
    hold off
    xlim([0 n1])
    set(gca,'XTick',1:8:n1)
    set(gca,'XTickLabel',{'26/04','27/04','28/04','29/04','30/04','01/05','02/05','03/05','04/05','05/05','06/05','07/05','08/05'})
    total_activity = sum(m_days)/1e15
    switch nuklid
        case 131
            xlabel([eras(er) ' total activity for nuclide I-' num2str(nuklid) ' is ', num2str(total_activity) ' PBq, Prior: 1510+-395 PBq, Nikos: 1365+-185 PBq']) % , Devel: 2400-3200 PBq
        case 134
            xlabel(strcat(string(eras(er)),' total activity for nuclide Cs-',num2str(nuklid),' is ',num2str(total_activity),' PBq, Prior: 54+-9 PBq, Nikos: 80+-5 PBq')) % , Devel: 110-200 PBq
        case 137
            xlabel(strcat(string(eras(er)),' total activity for nuclide Cs-',num2str(nuklid),' is ',num2str(total_activity),' PBq, Prior: 74+-15 PBq, Nikos: 86+-5 PBq')) % , Devel: 220-290 PBq
    end
end